#!/bin/sh
#
# This file creates a w32 binary release
#
VERSION=0.80-rc1
STRIP=i586-mingw32msvc-strip
DDIR="`pwd`/Enigma-$VERSION"
SDIR=../

#
# Copy levels
#
function copy_levels
{
    mkdir $DDIR/data/levels
    cp -p $SDIR/data/levels/*.{png,txt,lua} $DDIR/data/levels
    for folder in `(cd $SDIR/data/levels && ls -F)| grep / | grep -v CVS`; do 
	mkdir $DDIR/data/levels/$folder; 
	cp -p $SDIR/data/levels/$folder/*.{png,lua,txt} $DDIR/data/levels/$folder
    done
}

function copy_data
{
    mkdir $DDIR/data
    cp -p $SDIR/data/*.lua $DDIR/data/
    mkdir $DDIR/data/gfx
    cp -p $SDIR/data/gfx/*.png $DDIR/data/gfx
    copy_levels
    mkdir $DDIR/data/fonts
    cp -p $SDIR/data/fonts/*.{bmf,png,txt} $DDIR/data/fonts
    mkdir $DDIR/data/sound 
    cp -p $SDIR/data/sound/*.{wav,s3m,xm} $DDIR/data/sound
}
#
# documentation files
#
function copy_doc
{
    perl ./nlcvt.pl unix2dos $SDIR/COPYING >$DDIR/COPYING.txt
    perl ./nlcvt.pl unix2dos $SDIR/CHANGES >$DDIR/CHANGES.txt
    perl ./nlcvt.pl unix2dos $SDIR/README >$DDIR/README.txt
    perl ./nlcvt.pl unix2dos ./README-SDL.txt >$DDIR/README-SDL.txt
    perl ./nlcvt.pl unix2dos $SDIR/NEWS >$DDIR/NEWS.txt
}

#
# user manual
#
function copy_manual
{
    mkdir $DDIR/manual $DDIR/manual/images
    cp $SDIR/doc/manual/images/*.png $DDIR/manual/images
    cp $SDIR/doc/manual/*.html $DDIR/manual
}

################
# Build Enigma #
################
(cd .. ; make all)

###################
# Copy everything #
###################
rm -rf $DDIR
mkdir $DDIR

copy_data
copy_manual
copy_doc

cp -p $SDIR/src/enigma.exe $DDIR/enigma.exe
cp *.dll $DDIR/
$STRIP "$DDIR/enigma.exe"

rm -f Enigma-w32-$VERSION.zip
zip -r Enigma-w32-$VERSION.zip "Enigma-$VERSION"
rm -rf $DDIR
